<!doctype html>
<html>

<head>
    <title>Jquery Get Örneği | PHP Mutfağı</title>
</head>

<body>
    <input type="text" value="" id="verim" />
    <button type="button" id="jquery_gonder">JQUERY GET GÖNDER</button>

    <div id="sonuc"></div>

    <script src="https://code.jquery.com/jquery-3.5.0.js"></script>
    <!-- jquery kodlarını kullanacağız -->
    <!-- bu yüzden jquery kütüphanesini dahil ettik ki jquery kodlarını çalıştıralım. -->

    <!-- !!!!!! JQUERY KÜTÜPHANESİNİ DAHİL ETMEDEN JQUERY KODLARINI ÇALIŞTIRAMAZSINIZ !!!!!! -->
    <script>
        $("#jquery_gonder").click(function() {
		    //bu click olayıda bir kalıptır tıklanma olaylarında kullanılır.
		    //jquery_gonder idsine sahip nesneye tıklanıldığında bu fonksiyonu çağırmasını söyledik.


		    //.get() sayfa gönderme tipidir. Gönderilen verileri get olarak göndermesini söyledik.
		    //('jquery_get.php') => //verileri hangi sayfaya göndereceğini yazıyoruz. dosya_yolu/dosya.php
		    $.get('jquery_get.php', {
		        'gonderilen': $('#verim').val()
		        //'degisken_ismi' : 'degişken değeri'
		        //jquery_get.php ye gonderilen adında bir değişkeni get ile gönderdik.
		        //değişkenin değeri; verim idsine sahip inputun valuesi

		        /*
		        $('#verim').val()
		        # işareti id değeri gireceğimizi belirtir. verim idsine sahip alanla işlem yapacağımızı belirttik.
		        input olduğu için .val() diyerek value değerini almasını belirttik.
		        eğer html tagı(div,p,a vs.) olsaydı .html() diyerek içerisindeki htmli alabiliriz.

		        geri kalan kısmı bir kalıptır.
		        */
		    }, function(donen_deger_degiskeni) {
		        $("#sonuc").html(donen_deger_degiskeni);
		        /*
		        # işareti id değeri gireceğimizi belirtir. sonuc idsine sahip alanla işlem yapacağımızı belirttik.
		        sonuc idsine sahip alanın html içeriğine donen_deger_degiskeni değişkenini yaz dedik.

		        donen_deger_degiskeni otomatik olarak jquery_gonder.php bölümünde yazdırdığımız alanı değer olarak alır.
		        */
		    });
		});
    </script>

</body>

</html>